<?php

\spl_autoload_register(function ($class) {
  static $map = array (
  'Sukellos\\WP_Sukellos_Email_Tracker_Loader' => 'sukellos-email-tracker.php',
  'Sukellos\\WP_Sukellos_Email_Tracker' => 'class-sukellos-email-tracker.php',
  'Sukellos\\WP_Tracked_Urls_Dao' => 'includes/dao/class-tracked-urls-dao.php',
  'Sukellos\\WP_Email_Opens_Dao' => 'includes/dao/class-email-opens-dao.php',
  'Sukellos\\WP_Link_Clicks_Dao' => 'includes/dao/class-link-clicks-dao.php',
  'Sukellos\\Admin\\WP_Sukellos_Email_Tracker_Admin' => 'admin/class-sukellos-email-tracker-admin.php',
  'Sukellos\\Admin\\WP_Sukellos_Add_Email_Tracked_Url_Admin' => 'admin/class-sukellos-add-email-tracked-url-admin.php',
  'Sukellos\\Admin\\WP_Sukellos_Email_Tracked_Urls_Admin' => 'admin/class-sukellos-email-tracked-urls-admin.php',
  'Sukellos\\Admin\\WP_Sukellos_Email_Tracked_Url_Detail_Admin' => 'admin/details/class-sukellos-email-tracked-url-detail-admin.php',
  'Sukellos\\Admin\\WP_Sukellos_Email_Tracked_Url_Edit_Admin' => 'admin/details/class-sukellos-email-tracked-url-edit-admin.php',
  'Sukellos\\Email_Tracker_Url_Manager' => 'includes/managers/class-email-tracker-url-manager.php',
  'Sukellos\\Email_Tracking_Webservices' => 'includes/webservices/class-email-tracking-webservices.php',
  'Sukellos\\Email_Tracked_Url_List_Table' => 'includes/listtables/class-email-tracked-url-list-table.php',
);

  if (isset($map[$class])) {
    require_once __DIR__ . '/' . $map[$class];
  }
}, true, false);