<?php

namespace Sukellos;

use Sukellos\Shortcodes\Sample_Shortcode;
use Sukellos\WPFw\WP_Plugin;
use Sukellos\WPFw\Singleton;

defined( 'ABSPATH' ) or exit;

/**
 * Sukellos Basic plugin main class.
 *
 * @since 1.0.0
 */
class WP_Sukellos_Email_Tracker extends WP_Plugin {

    // Use Trait Singleton
    use Singleton;

    /**
     * Default init method called when instance created
     * This method can be overridden if needed.
     *
     * @since 1.0.0
     * @access protected
     */
    public function init() {

        Email_Tracking_Webservices::instance();
    }

    /**
     * Initializes the custom post types.
     * Called on init and on activation hooks
     *
     * Must be override to create custom post types for the plugin
     *
     * @since 1.0.0
     */
    public function init_custom_post_types() {

        // Place here your code to init your custom post types or taxonomies...
    }

}
